Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QFont.StyleHint

    java.lang.Object
      java.lang.Enum<QFont.StyleHint>
          com.trolltech.qt.gui.QFont.StyleHint

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QFont.StyleHint>

Enclosing class:
  QFont

    public static enum QFont.StyleHint

extends java.lang.Enum<QFont.StyleHint>
implements QtEnumerator

Style hints are used by the font matching algorithm to find an appropriate default family if a selected font family is not available.

Enum Constant Summary
`AnyStyle` leaves the font matching algorithm to choose the family.
`Courier` a synonym for `TypeWriter`.
`Helvetica` is a synonym for `SansSerif`.
`OldEnglish` the font matcher prefers decorative fonts.
`System` the font matcher prefers system fonts.
`Times` is a synonym for `Serif`.

Method Summary
`static QFont.StyleHint` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFont.StyleHint` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QFont.StyleHint[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Helvetica

    public static final QFont.StyleHint Helvetica

  is a synonym for `SansSerif`.

### Times

    public static final QFont.StyleHint Times

  is a synonym for `Serif`.

### Courier

    public static final QFont.StyleHint Courier

  a synonym for `TypeWriter`.

### OldEnglish

    public static final QFont.StyleHint OldEnglish

  the font matcher prefers decorative fonts.

### System

    public static final QFont.StyleHint System

  the font matcher prefers system fonts.

### AnyStyle

    public static final QFont.StyleHint AnyStyle

  leaves the font matching algorithm to choose the family. This is the default.

Method Detail

### values

    public static final QFont.StyleHint[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QFont.StyleHint c : QFont.StyleHint.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QFont.StyleHint valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFont.StyleHint resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD